Каталог товаров

Руководство по устранению неполадок

Как обратиться с вопросом?

Всегда предоставляйте данные ниже при обращении за помощью. Это помогает нам понять ваши настройки и сэкономить время.

  • Запустите os.uname () на вашем модуле, чтобы получить описание версий
  • Тип и версия вашего модуля (например, FiPy 1.0)
  • Любые экраны или подключенные устройства (например, Pytrack, Extension Board 3.0 с датчиком «x»)
  • Версия вашей операционной системы
  • Версия Pymakr
  • Версия Atom / VSCode
  • Смотрели ли вы нашу документацию и похожие вопросы на форуме?

Обновление прошивки

Проблема с файлом прошивки

Если вы пытаетесь обновить прошивку до последней версии, убедитесь, что вы используете подходящее средство обновления прошивки.

Мой модуль распознан неверно

Отправьте заявку в службу поддержки с подробной информацией и отправьте нам результат выполнения этого кода:

import machine, binascii                                                     

binascii.hexlify(machine.unique_id())

Подключение к модулю

Модуль застрял в режиме загрузчика

Обычно программа обновления прошивки возвращается в режим приложения по окончании обновления. Если по какой-то причине этого не происходит, повторное подключение USB-кабеля также переводит устройство в режим приложения.

Pymakr

Убедитесь, что у вас установлена последняя версия Pymakr и Atom / VSCode.

Синхронизация проекта приводит к ошибке «Не удалось выделить память»

Синхронизация занимает немного памяти, поэтому эта ошибка может возникать, когда код, запущенный на плате, уже занимает значительное количество памяти.

Решение: используйте безопасную загрузку с REPL или платой расширения при синхронизации

Atom

Не удалось загрузить пакет: не удается найти модуль ′serialport′

В некоторых случаях это вызвано тем, что Atom Package Manager (apm) использует Python 3.x, в то время как node-gyp (используемый для компиляции библиотеки serialport) требует Python 2.x. Можно запустить apm -version, чтобы проверить, какая версия Python используется apm.

Решение: переключите менеджер пакетов на использование Python 2. Выполнение следующей команды переключает apm:

echo “python=/usr/bin/python2.7” >> ~/.atom/.apmrc

Теперь переустановите Pymakr или запустите apm install из пакета Pymakr, расположенного в ~ / .atom / packages / pymakr

Не удалось найти файл привязок

Если установка библиотеки serialport не удалась, она возвращается к предварительно скомпилированной версии, включенной в плагин. Это работает для последних версий Atom, но не имеет совместимости со старыми версиями.

Решение: обновитесь до последней версии Atom (1.19.0 или выше) или установите предыдущую версию плагина (apm install pymakr@1.0.3)

Любая ошибка, содержащая .atom packages Pymakr с большой буквы «P»

Ошибка появилась начиная с версии 1.2.5, когда Pymakr переименовали в pymakr (в нижнем регистре); а Atom запомнил старое имя папки внутри папки пакетов.

Решение:

  1. Удалить Pymakr
  2. Удалить папку: ~ / .atom / .apm / Pymkr
  3. Очистить папку: ~ / .config / Atom / Cache
  4. Переустановить pymakr

Не удается подключиться к плате Pycom через REPL

В случае платы, на которую уже загружен код и которая запускает зацикленный скрипт, она может не загружаться в REPL.

Решение: Если на плате в данный момент выполняется код, вам необходимо выйти из текущего скрипта, прежде чем продолжить:

  1. Убедитесь, что ваша плата подключена к компьютеру.
  2. Нажмите кнопку сброса на устройстве.
  3. Нажмите Ctrl-C на консоли Pymakr для выхода из текущего скрипта / программы

После этих действий должен появиться REPL, и вы сможете запустить / синхронизировать ваш код.

Не удается подключиться к Pycom в Linux

Если вы являетесь пользователем Linux и не можете подключиться к вашей плате, возможно, существует проблема с разрешением доступа к последовательному порту.

Решение: выполните следующую команду: sudo usermod -a -G dialout $ USER

VSCode

Терминал не открывается

Если терминал Pymakr не открывается или выдает ошибку, это может быть связано с тем, что в вашей системе не установлен NodeJS. Это связано с тем, что процесс терминала работает отдельно от VSCode и зависит от NodeJS. 

Решение: установите NodeJS. Для компьютеров с Windows 64 установите 32-разрядную версию NodeJS (например, nvm install 7.8.0 32).

< Назад Далее >

В начало раздела

Контакты

г. Москва, Пятницкое ш. д. 18, пав. 566

zakaz@compacttool.ru

8-495-752-55-22

Информация представленная на данном информационном ресурсе преследует исключительно рекламные цели и не является договором-офертой !

© Все права защищены 2021г https://compacttool.ru